Subject: Re: bug#11210: Windows emacs 23.4.1: scroll-conservatively > 0 results in multiple cursors being displayed after scrolling

From: Bill Meier <[email-masked]>
Date: Tue, 10 Apr 2012 11:42:01 -0400

On 4/10/2012 3:26 AM, Eli Zaretskii wrote:
>> Date: Mon, 09 Apr 2012 18:38:28 -0400
>> From: Bill Meier<[email-masked]>
>>
>
> I cannot reproduce this on my Windows XP box.  I see no artifacts at
> all left after scrolling.
>
> Do you perhaps have ClearType enabled?

Yes

> If so, does the problem go
> away when you disable it?
>

No

Additional info (which may or may not be relevant)

Note, in all cases below, I create an artifact by hitting down-arrow at 
the bottom of the screen (with scroll-conservatively > 0) until I get
a case where the cursor (aka artifact) shows (not blinking) at line N-1
with a blinking cursor at line N.

1. Minimize/Restore of the w32 window (aka EMacs "frame") clears the
    artifact;
2. Cover/Uncover of the w32 window (EMacs) with another w32 window
    does not clear the artifacts;
3. Hitting up-arrow puts the blinking cursor at line N-1.
    Then hitting down-arrow puts the blinking cursor back at line N.
    The cursor/artifact remains at line N-1 (not blinking).
4. If, after an artifact appears on a line, I scroll up a line
    (M-1 C-V) the artifact moves with the line.
5. If cursor is at column N (and at the bottow row (Line N) of the text
    on the screen), then after hitting down-arrow, if the
    artifact appears on the line just scrolled up it will be
    at column N.

    aaaaa|aaa
    bbb|
    cccccc
    ee
    fffff|ffffff

6. If an EMacs frame is showing multiple EMacs windows, no cursor
    appears in the non-selected EMacs window.
7. Changing a cursor setting (blink-cursor-mode, blink-cursor-interval)
    doen't seem to actually affect the cursor.

If there's anything I can do to help with debugging, please let me know.

(Just for the record, I'm running Windows 7 Ultimate, Service Pack #1 
with up-to-date patches).